#!/usr/bin/env bash

export XDG_CURRENT_DESKTOP=wlroots
export XDG_SESSION_DESKTOP="${XDG_SESSION_DESKTOP:-wlroots}"
export XDG_SESSION_TYPE=wayland
VARIABLES="DESKTOP_SESSION XDG_CURRENT_DESKTOP XDG_SESSION_DESKTOP XDG_SESSION_TYPE"
VARIABLES="${VARIABLES} DISPLAY WAYLAND_DISPLAY"

dbus-update-activation-environment --systemd ${VARIABLES:- --all} &

# PolicyKit Agent
/usr/bin/mate-polkit

# Wallpaper script (you can change wallpaper with Azote)
source ~/.azotebg

# Start nwg-drawer as a daemon
pkill nwg-drawer
nwg-drawer -r &

# Start PCmanFM-Qt as a daemon
pkill pcmanfm-qt
pcmanfm-qt -d &

# Clipboard daemon
pkill wl-paste
wl-paste --watch cliphist store &

# Power daemon
pkill poweralertd
poweralertd &
